Bug 1473560 (CVE-2017-11368)

Summary: CVE-2017-11368 krb5: Invalid S4U2Self or S4U2Proxy request causes assertion failure
Product: [Other] Security Response Reporter: Andrej Nemec <anemec>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: abokovoy, bmaxwell, cdewolf, chazlett, csutherl, darran.lofthouse, dimitris, dosoudil, dpal, fgavrilo, gzaronik, jawilson, jclere, jondruse, jplans, jshepherd, lgao, mbabacek, myarboro, nalin, npmccallum, pgier, pjurak, pkis, ppalaga, psakar, pslavice, rharwood, rnetuka, rstancel, rsvoboda, sardella, tibbs, twalsh, vtunka, weli
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
A denial of service flaw was found in MIT Kerberos krb5kdc service. An authenticated attacker could use this flaw to cause krb5kdc to exit with an assertion failure by making an invalid S4U2Self or S4U2Proxy request.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 03:17:18 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1498768    
Bug Blocks: 1473562, 1498774    

Description Andrej Nemec 2017-07-21 07:37:17 UTC
It was found that in MIT krb5 1.7 and later, an authenticated attacker can cause an assertion failure in krb5kdc by sending an invalid S4U2Self or S4U2Proxy request.

Upstream patch:

https://github.com/krb5/krb5/pull/678/commits/ffb35baac698

Comment 4 errata-xmlrpc 2018-04-10 08:02:24 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:0666 https://access.redhat.com/errata/RHSA-2018:0666